Skip to content

Execute Manual Reservation Payment

The Execute Manual Reservation Payment endpoint allows merchants to manually execute the payment of a previously scheduled reservation that requires manual collection.

This endpoint is intended for reservations created with manual_payment_required = true, allowing the payment to be processed on demand.


Endpoint

POST https://[base_url]/v2/bookings/payments/execute

Request Body

At least one reservation identifier must be provided.

The reservation can be identified using any of the following fields:

PARAMETER TYPE REQ. DESCRIPTION
internal_id Integer Conditional Internal Autocore reservation identifier.
reservation_id String Conditional Merchant reservation identifier.
crs_id String Conditional Autocore reservation identifier (CRS ID).
payment_overrides Object Optional Payment values to use instead of the reservation's configured values.

When payment_overrides is provided, it must contain both fields:

PARAMETER TYPE REQ. DESCRIPTION
payment_overrides.total_amount Number Required Amount to charge.
payment_overrides.currency_code String Required Currency code for the amount, for example USD.

Important

At least one of the following fields must be provided:

  • internal_id
  • reservation_id
  • crs_id

Request Example

{
    "reservation_id": "RES-10001"
}

or

{
    "internal_id": 14316
}

or

{
    "crs_id": "MANUAL-j0cdro952q68"
}

To process a different amount and currency from those configured on the reservation:

{
    "reservation_id": "RES-10001",
    "payment_overrides": {
        "total_amount": 125.50,
        "currency_code": "USD"
    }
}

Payment Statuses

The manual reservation payment may return the following payment states:

STATUS status_code DESCRIPTION
Applied applied Payment completed successfully.
In process in_process Payment is being processed. A final status will be sent later.
Rejected rejected Payment was rejected.

Response Example

Successful Payment (Applied)

{
    "voucher_url": "/v1/bookings/bo3dhyt9q732/vouchers?hotel_id=None&portal_code=autocore_webapp",
    "redirect_url": null,
    "details": {
        "type": "charge",
        "id": "bo3dhyt9q732",
        "external_ref_id": null,
        "status_code": "applied",
        "status_detail": "Aplicado",
        "comments": "Pago de la reserva: bo3dhyt9q732, propiedad: DEV_Hotel Azuan Suites",
        "transaction_id": "RB-1072301",
        "authorization_code": "U7rZC9",
        "transaction_date": "2026-07-13 19:54:10.956848"
    }
}

Payment in Process

{
    "voucher_url": "/v1/bookings/bo3dhyt9q732/vouchers?hotel_id=None&portal_code=autocore_webapp",
    "redirect_url": null,
    "details": {
        "type": "charge",
        "id": "bo3dhyt9q732",
        "external_ref_id": null,
        "status_code": "in_process",
        "status_detail": "En proceso",
        "comments": "El pago se encuentra en proceso. Esto puede tardar unos minutos, espere por favor.",
        "transaction_id": "RB-1072301",
        "authorization_code": null,
        "transaction_date": "2026-07-13 19:54:10.956848"
    }
}

Rejected Payment

{
    "code": 0,
    "message": "Error http: 400",
    "detail": "El pago ha sido rechazado",
    "extra_info": {
        "voucher_url": "/v1/bookings/bo3dhyt9q732/vouchers?hotel_id=None&portal_code=autocore_webapp",
        "details": {
            "type": "charge",
            "id": "bo3dhyt9q732",
            "external_ref_id": null,
            "status_code": "rejected",
            "status_detail": "Rechazado",
            "comments": "Rejected by payment gateway.",
            "transaction_id": "N/A",
            "authorization_code": null,
            "transaction_date": "2026-07-13 19:54:10.956848"
        }
    }
}

Common Error Responses

In addition to validation errors, this endpoint may also return the standard Autocore API error responses (401, 403, 404, 409, 422, 429 and 500) as documented in the General Error Responses section.


Notes

  • This endpoint is intended for reservations configured with manual_payment_required = true.
  • Only one reservation identifier is required (internal_id, reservation_id or crs_id).
  • payment_overrides is optional. When provided, both total_amount and currency_code are required and the supplied values are used for the payment. Additional payment values may be added to this object in the future.